searchData={"items":[{"type":"module","title":"ReceiptDecoder","doc":"Decode iOS App receipt","ref":"ReceiptDecoder.html"},{"type":"function","title":"ReceiptDecoder.decode/1","doc":"Decode iOS App receipt","ref":"ReceiptDecoder.html#decode/1"},{"type":"function","title":"Example - ReceiptDecoder.decode/1","doc":"```elixir\niex> ReceiptDecoder.decode(BASE64_ENCODED_RECEIPT)\n{:ok,\n %ReceiptDecoder.AppReceipt{application_version: \"1241\",\n  bundle_id: \"com.sumiapp.GridDiary\", creation_date: ~N[2014-09-02 03:29:06],\n  environment: \"ProductionSandbox\", expiration_date: nil,\n  in_apps: [%ReceiptDecoder.IAPReceipt{cancellation_date: nil,\n    expires_date: nil, original_purchase_date: ~N[2014-08-04 06:24:51],\n    original_transaction_id: \"1000000118990828\",\n    product_id: \"com.sumiapp.GridDiary.pro\",\n    purchase_date: ~N[2014-09-02 03:29:06], quantity: 1,\n    transaction_id: \"1000000118990828\", web_order_line_item_id: 0},\n   %ReceiptDecoder.IAPReceipt{cancellation_date: nil, expires_date: nil,\n    original_purchase_date: ~N[2014-09-02 03:29:06],\n    original_transaction_id: \"1000000122102348\",\n    product_id: \"com.sumiapp.griddiary.test\",\n    purchase_date: ~N[2014-09-02 03:29:06], quantity: 1,\n    transaction_id: \"1000000122102348\", web_order_line_item_id: 0}],\n  opaque_value: <<55, 223, 114, 56, 138, 79, 247, 183, 9, 37, 209, 28, 7, 147,\n    201, 131>>, original_application_version: \"1.0\",\n  sha1_hash: <<253, 23, 138, 194, 193, 253, 204, 39, 239, 220, 43, 200, 223,\n    213, 74, 210, 39, 101, 79, 47>>}}\n```","ref":"ReceiptDecoder.html#decode/1-example"},{"type":"module","title":"ReceiptDecoder.Extractor","doc":"Extract content from the receipt","ref":"ReceiptDecoder.Extractor.html"},{"type":"function","title":"ReceiptDecoder.Extractor.decode_receipt/1","doc":"Decode the Base64-encoded receipt","ref":"ReceiptDecoder.Extractor.html#decode_receipt/1"},{"type":"function","title":"ReceiptDecoder.Extractor.extract_payload/1","doc":"Extract the payload from receipt","ref":"ReceiptDecoder.Extractor.html#extract_payload/1"},{"type":"type","title":"ReceiptDecoder.Extractor.receipt_t/0","doc":"","ref":"ReceiptDecoder.Extractor.html#t:receipt_t/0"},{"type":"module","title":"ReceiptDecoder.Parser","doc":"The Payload Parser","ref":"ReceiptDecoder.Parser.html"},{"type":"function","title":"ReceiptDecoder.Parser.parse_payload/1","doc":"Parse the payload, return a parsed `ReceiptDecoder.AppReceipt` struct.","ref":"ReceiptDecoder.Parser.html#parse_payload/1"},{"type":"module","title":"ReceiptDecoder.Verifier","doc":"Verify receipt","ref":"ReceiptDecoder.Verifier.html"},{"type":"function","title":"ReceiptDecoder.Verifier.verify/1","doc":"Verify the receipt","ref":"ReceiptDecoder.Verifier.html#verify/1"},{"type":"module","title":"ReceiptDecoder.AppReceipt","doc":"The struct represent an App Receipt","ref":"ReceiptDecoder.AppReceipt.html"},{"type":"type","title":"ReceiptDecoder.AppReceipt.t/0","doc":"","ref":"ReceiptDecoder.AppReceipt.html#t:t/0"},{"type":"module","title":"ReceiptDecoder.IAPReceipt","doc":"The struct represent an In-App Purchases Receipt","ref":"ReceiptDecoder.IAPReceipt.html"},{"type":"type","title":"ReceiptDecoder.IAPReceipt.t/0","doc":"","ref":"ReceiptDecoder.IAPReceipt.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,48]}}